# Filename: tri_node_neighborhood.py
# Purpose: Get node indices of neighbouring of nodes.
# Returns: List of integers.

from maptek import vulcan

tri = 'cube.00t' # input tri

with vulcan.triangulation(tri) as tri: # open tri as read
    neighbouring_nodes = tri.node_neighborhood(1) # pass index of node of interest

    # do something...
    print(neighbouring_nodes)